import { config, networkUtils } from '../../utils';

const { request } = networkUtils;
const { api } = config;
const { basic } = api;
const { register } = basic;


export async function create(params) {
  return request({
    url: register,
    method: 'post',
    data: params,
  });
}

export async function getItem() {
  return request({
    url: `${api.basic.queryUDC.replace('{udc}', 'GYSYLSX')}`,
    method: 'get',
  });
}

export async function getRepo() {
  return request({
    url: `register/repo`,
    method: 'get',
  });
}

export async function requireQualifys(params) {
  return request({
    url: `/register/cert-type`,
    method: 'get',
    data: params,
  });
}

